Rob Miller wrote:
> thinking about it now, though, i'd say perhaps the zcml should support only 
> including a "source" version, with the setup tool persisting the id of each 
> upgrade step when it is run.  then the UI would show an upgrade step as 
> needing to be run if a) the loaded profile version is greater than the source 
> version specified in the ZCML and b) the id of the upgrade step is not yet 
> stored in the setup tool's list of completed steps.
> feel like fixing it?  ;)

Did you have a look at the changes I made on GS trunk? Looks like your 
proposal is based on the 1.4 code and moves in a different direction.

Cheers, Yuppie

Zope-CMF maillist  -

See for bug reports and feature requests

Reply via email to